import request from '@/utils/request'

// 查询press列表
export function listPress(query) {
  return request({
    url: '/vr/press/pageList',
    method: 'get',
    params: query
  })
}

// 查询press详细
export function getPress(pressId) {
  return request({
    url: '/vr/press/' + pressId,
    method: 'get'
  })
}

// 新增press
export function addPress(data) {
  return request({
    url: '/vr/press',
    method: 'post',
    data: data
  })
}

// 修改press
export function updatePress(data) {
  return request({
    url: '/vr/press',
    method: 'put',
    data: data
  })
}

// 删除press
export function delPress(pressId) {
  return request({
    url: '/vr/press/' + pressId,
    method: 'delete'
  })
}
